Name:          Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN
Version:       7
Release:       2.1%{?dist}
Summary:      Chinese translation of Red_Hat_Enterprise_Linux-Release_Notes-6
Summary(zh-CN):       红帽企业版 Linux 6.6 发行注记
Group:         Documentation
License:       CC-BY-SA
URL:           https://fedorahosted.org/publican
Source:        %{name}-%{version}-2.1.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat
Requires:      xdg-utils
Provides:      Red_Hat_Enterprise_Linux-Release_Notes-6-zh_CN = %{version}-%{release}

%description
Chinese translation of Red_Hat_Enterprise_Linux-Release_Notes-6

%description -l zh-CN


%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=zh-CN --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

cp zh-CN/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN.svg;


cat > Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN-7.desktop <<'EOF'
[Desktop Entry]
Name=Red_Hat_Enterprise_Linux 6: Release_Notes
Comment=红帽企业版 Linux 6.6 发行注记
Exec=xdg-open %{_docdir}/Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN-7.desktop

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/zh-CN/html-desktop/*
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN.svg
%{_datadir}/applications/Red_Hat_Enterprise_Linux-Release_Notes-6-zh-CN-7.desktop

%changelog
* Tue Jun 23 2015 Laura Bailey <lbailey@redhat.com> - 7-2.1
- 与 XML 源 7-2 版本同步的翻译文件 

* Tue Jun 23 2015 Laura Bailey <lbailey@redhat.com> - 7-2
- Updating text and URL for RHEL 6.7 GA. 

* Mon Jun 22 2015 Laura Bailey <lbailey@redhat.com> - 6-7.2
- 与 XML 源 6-7 版本同步的翻译文件 

* Mon Jun 22 2015 Laura Bailey <lbailey@redhat.com> - 6-7.1
- 与 XML 源 6-7 版本同步的翻译文件 

* Mon Mar 30 2015 Milan Navrátil <mnavrati@redhat.com> - 6-2
- Translation files synchronized with XML sources. 



